/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.kenai.com
 * SCM: https://bitbucket.org/tidalwave/openbluesky-src
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.nodes.role.impl;

import javax.annotation.Nonnull;
import org.openide.nodes.Node;
import it.tidalwave.netbeans.nodes.GenericDecoratorNode;

/***********************************************************************************************************************
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class RefreshableNode extends GenericDecoratorNode
  {
    public RefreshableNode (@Nonnull Node delegate) 
      {
        super(delegate, delegate.getLookup());
      }
    
    public void refreshChildren() 
      {
          System.err.println("REFRESH " + getChildren().getClass());
//          System.err.println("REFRESH " + this + " CHILDREN " + getChildren().snapshot());
////          setChildren(org.openide.nodes.Children.LEAF);
//          System.err.println("AFTER REFRESH " + this + " CHILDREN " + getChildren().snapshot());
      }
  }
